## mx-updater 25.09.01mx25

=== debian/changelog ===
mx-updater (25.09.01mx25) mx; urgency=medium

  * Initial build of MX Updater based on apt-notifier

 -- fehlix <fehlix@mxlinux.org>  Mon, 08 Sep 2025 18:09:25 -0400

apt-notifier (24.09.01) mx; urgency=medium

  * Fix: Close only current window with clicking on [x], not MX Updater.

 -- fehlix <fehlix@mxlinux.org>  Wed, 18 Sep 2024 14:46:16 -0400

apt-notifier (24.05.01) mx; urgency=medium

  * Fix: basic upgrade with APT::Get::Upgrade-Allow-New=false
    to prevent installing new packages.

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 May 2024 15:23:52 -0400

apt-notifier (24.04.01) mx; urgency=medium

  * Add line break in the countdown line for smaller display size
  * Suppress first blank line in the terminal
  * Add terminal support for lxterminal, mate-terminal, qterminal,
    terminator and zutty
  * Check whether the qterminal version is up-to-date enough
  * Use of the xfce4 terminal as a fallback, if installed
  * Adjust unprivileged view of the auto-upgrade logs

 -- fehlix <fehlix@mxlinux.org>  Thu, 25 Apr 2024 20:53:31 -0400

apt-notifier (24.03.01) mx; urgency=medium

  * generate svg iconset with rsvg-convert instead of inkscape
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 25 Mar 2024 17:59:12 -0400

apt-notifier (23.07.02) mx; urgency=medium

  * update pulse icons [MelBer]

 -- fehlix <fehlix@mxlinux.org>  Mon, 10 Jul 2023 05:40:06 -0500

apt-notifier (23.07.01) mx; urgency=medium

  * set max size for yad and terminal window
  * fix nala's --raw-dpkg switch for kernel- and dkms-upgrades

 -- fehlix <fehlix@mxlinux.org>  Sat, 01 Jul 2023 19:54:12 -0500

apt-notifier (23.06.01) mx; urgency=medium

  * set apt as default

 -- fehlix <fehlix@mxlinux.org>  Sat, 10 Jun 2023 15:36:00 -0500

apt-notifier (23.05.01) mx; urgency=medium

  * set nala as default
  * use nala's --raw-dpkg switch for kernel- and dkms- upgrades

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 May 2023 20:08:18 -0500

apt-notifier (23.03.01) mx; urgency=medium

  * fix quick-live-update
  * add check for last apt update run
  * add 03apt-notifier-update-stamp
  * adjust forced check to 3 hours
  * add debhelper-compat (= 13) to build-depends
  * use shutil.which instead of distutils.spawn.find_executable
  * add python3-ewmh as depends to detect fullscreen
  * remove python3-distutils from build-depends
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Wed, 08 Mar 2023 14:35:52 -0500

apt-notifier (23.01.01mx21) mx; urgency=medium

  * get adjusted {num} placeholder from transifex for sv_SE locale

 -- fehlix <fehlix@mxlinux.org>  Sun, 22 Jan 2023 16:03:03 -0500

apt-notifier (22.12.01mx21) mx; urgency=medium

  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Thu, 29 Dec 2022 15:29:52 -0500

apt-notifier (22.09.01mx21) mx; urgency=medium

  * add less-prompt for dpkg config diff pager

 -- fehlix <fehlix@mxlinux.org>  Thu, 15 Sep 2022 18:35:52 -0400

apt-notifier (22.08.01mx21) mx; urgency=medium

  * add mnotify-none-pulse-white.png icon
  * adjust user's apt-notifier.conf with addded icon
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 15 Aug 2022 15:44:53 -0400

apt-notifier (22.07.03mx21) mx; urgency=medium

  * fix checking mx-packageinstaller is available
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 25 Jul 2022 18:01:04 -0400

apt-notifier (22.07.02mx21) mx; urgency=medium

  * add icon-set defaults to user config items with example section
  * re-enable "hide until updates available" feature after reboot/logout
  * reduce number of monitored files to trigger update check
  * use mxpi-launcher to start mx-packageinstaller

 -- fehlix <fehlix@mxlinux.org>  Sun, 17 Jul 2022 18:58:09 -0400

apt-notifier (22.07.01mx21) mx; urgency=medium

  * enhance sanity check of config items
  * remove double notification after Esc
  * speedup counting of upgradable packages
  * support alternative icon sets in config items
  * allow use of nala with default disabled autoremove 

 -- fehlix <fehlix@mxlinux.org>  Fri, 08 Jul 2022 17:02:59 -0400

apt-notifier (22.06.01mx21) mx; urgency=medium

  * create timeout defaults in ~/.config/MX-Linux/apt-notifier.conf
  * enhance sanity check of config items

 -- fehlix <fehlix@mxlinux.org>  Tue, 28 Jun 2022 13:17:39 -0400

apt-notifier (22.05.04mx21) mx; urgency=medium

  * addjust control file

 -- fehlix <fehlix@mxlinux.org>  Sun, 15 May 2022 20:15:31 -0400

apt-notifier (22.05.03mx21) mx; urgency=medium

  * add dependency python3-notify2, python3-distutils

 -- fehlix <fehlix@mxlinux.org>  Sun, 15 May 2022 18:17:28 -0400

apt-notifier (22.05.02mx21) mx; urgency=medium

  * add /boot-space check run to left-click, synaptic and mxpi 

 -- fehlix <fehlix@mxlinux.org>  Thu, 05 May 2022 19:34:27 -0400

apt-notifier (22.05.01mx21) mx; urgency=medium

  * add check of free space at /boot with cleanup-notifier-mx 

 -- fehlix <fehlix@mxlinux.org>  Tue, 03 May 2022 19:42:09 -0400

apt-notifier (22.01.01mx21) mx; urgency=medium

  * adjust icons and translations build
  * adjust lock check, min./max. update check interval
  * adjust gettext translation class and fallback handling
  * rework desktop entry and policy translations handling

 -- fehlix <fehlix@mxlinux.org>  Thu, 27 Jan 2022 17:09:15 -0400

apt-notifier (21.09.01mx21+1) mx; urgency=medium

  * fresh builds 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 20 Sep 2021 20:49:40 -0400

apt-notifier (21.09.01mx21) mx; urgency=medium

  * adjust escape-ok in View and Upgrade dialog

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 Sep 2021 23:11:10 +0000

apt-notifier (21.08.01mx21) mx; urgency=medium

  * fix execution permission of apt-notifier.py 

 -- fehlix <fehlix@mxlinux.org>  Wed, 25 Aug 2021 21:01:09 +0000

apt-notifier (21.07.01mx21) mx; urgency=medium

  * adjust upgrade_auto_close_timeout config
  * add user config as ~/.config/{dist}/apt-notifier.conf

 -- fehlix <fehlix@mxlinux.org>  Mon, 19 Jul 2021 12:06:18 -0400



## mx-updater 25.09.02mx25

=== debian/changelog ===
mx-updater (25.09.02mx25) mx; urgency=medium

  * right-click menu order
  * restore saved start-at-login delay at launch
  * license file in about-popup
  * basic-upgrade is upgrade
  * use always LC_TYPE and LC_COLLATE with C.UTF-8
  * remove leftover apt-notfier autostart entries
  * adjust path in updater-restart

 -- fehlix <fehlix@mxlinux.org>  Wed, 10 Sep 2025 05:27:08 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	$(MAKE) -C icons clean
	$(MAKE) -C l10n clean
	dh_auto_clean

override_dh_auto_build:
	bash scripts/build_version
	$(MAKE) -C icons
	$(MAKE) -C l10n
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

override_dh_usrlocal:

override_dh_builddeb:
	dh_builddeb -- -Z xz

## mx-updater 25.09.03mx25

=== debian/changelog ===
mx-updater (25.09.03mx25) mx; urgency=medium

  * adjust tray icon visibilty checks
  * restore autostart desktop entry
  * keep systray icon hidden with autostart if set in preferences
  * fix enable automatic upgrade logs due to restrictive read permissions
  * add pycache stanzas to postinst and prerm
  * add licence.html file to install
  * add translations for strings

 -- fehlix <fehlix@mxlinux.org>  Sun, 14 Sep 2025 12:39:18 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ 
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	$(MAKE) -C icons clean
@@ -17,7 +17,5 @@
 override_dh_auto_install:
 	dh_auto_install
 
-override_dh_usrlocal:
-
 override_dh_builddeb:
 	dh_builddeb -- -Z xz

## mx-updater 25.09.04mx25

=== debian/changelog ===
mx-updater (25.09.04mx25) mx; urgency=medium

  * add restart after version change

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 Sep 2025 07:01:24 -0400

## mx-updater 25.09.05mx25

=== l10n/Makefile ===
#!/usr/bin/make -f

PKGNAM := mx-updater

BUILD  := ././build
PO_DIR := ./po
XDGDIR := ../xdg

LCMSGS := LC_MESSAGES/$(PKGNAM).mo

DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(basename $(DESKTOP_IN))))

ifneq ($(strip $(LINGUAS)),)
  LINGUAS := $(sort $(LINGUAS))
  $(file >$(PO_DIR)/LINGUAS)
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
else ifneq ($(wildcard $(PO_DIR)/LINGUAS),)
  LINGUAS := $(sort $(strip $(shell grep '^[[:space:]]*[a-z]' $(PO_DIR)/LINGUAS)))
else
  LINGUAS := $(sort $(basename $(notdir $(wildcard $(PO_DIR)/*.po))))
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
endif

LOCALE := $(addprefix $(BUILD)/locale/,$(addsuffix /$(LCMSGS),$(LINGUAS)))

all: clean locale desktop

locale: $(LOCALE)

$(BUILD)/locale/%/$(LCMSGS): $(PO_DIR)/%.po
	@mkdir -p $(BUILD)/locale/$*/LC_MESSAGES
	@echo "  " $@ 
	@msgfmt $< -o $@ 

desktop: $(DESKTOP)

$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop.in
	@mkdir -p $(BUILD)/xdg
	@echo "  " $@ 
	msgfmt --desktop --template $< -d $(PO_DIR) -o $@ 
	@sed -i '/^#/d' $@ 

clean:
	-@rm  -f $(DESKTOP)
	-@rm -rf $(BUILD)

.PHONY: all clean locale desktop

=== debian/changelog ===
mx-updater (25.09.05mx25) mx; urgency=medium

  * Adjust 'update-Origin-Pattern' to generate only non-standard repo origins
  * Add static '51unattended-upgrades-default-origins' for standard repos
  * Correct 'assume-yes' for automatic confirmation of package upgrades
  * Disable the 'Hide until updates are available' option for Kde/Plasma
  * Disable the right-click option 'Hide until updates are available' for Fluxbox
  * Fix the issue with left-clicking on 'No updates available'
  * Middle-clicking remains enabled even if Synaptic or Package Installer are not installed
  * Add 'daily_lock' from apt to the list of known locks in 'updater-system-monitor'

 -- fehlix <fehlix@mxlinux.org>  Sun, 28 Sep 2025 14:23:39 -0400

## mx-updater 25.09.06mx25

=== debian/changelog ===
mx-updater (25.09.06mx25) mx; urgency=medium

  * Add origin 'site=' to origin pattern. Thanks kmathern.
  * Use locale domain 'mx-updater' instead of 'apt-notifier'
  * Add Unattended-Upgrade::Package-Blacklist. Thanks kmathern.

 -- fehlix <fehlix@mxlinux.org>  Thu, 02 Oct 2025 17:24:44 -0400

## mx-updater 25.09.07mx25

=== debian/changelog ===
mx-updater (25.09.07mx25) mx; urgency=medium

  * List to be installed packages one per-line in unattended-upgrade logs. Thanks kmathern.
  * Remove debug, but keep info, error, and warning lines from unattended-upgrade logs. Thanks kmathern.
  * Remove lot's of other debug prints
  * Remove non-used leftover scripts
  * Clean more apt-notifier remainings
  * Customize window titles
  * Add localized pattern to unattended-upgrade log view
  * Set trayicon visibility after icon was set
  * Use apt's translation for "[Working]" within "View_and Upgrade" preview
  * Always trim spaces
  * Run dbus-activated updater-system-monitor without debug output
  * Keep translated hint-line as the last line in the log-viewer of unattended-upgrade logs
  * Always display the "some" icon when updates are available, even if unattended-upgrade is enabled
  * Add symlinks during build, and remove symlinks from github

 -- fehlix <fehlix@mxlinux.org>  Sat, 11 Oct 2025 09:02:35 -0400

## mx-updater 25.10.01mx25

=== debian/changelog ===
mx-updater (25.10.01mx25) mx; urgency=medium

  * Replace 2-apt-compat with 2-origin-patterns-daily
  * Keep mx-updater-autostart.desktop as conffile
  * Adjust more translation strings
  * Add more translator comments
  * Replace python brace-format with %d-format in translation strings
  * Adjust accelarator shortcuts
  * Use latest translations from transifex

 -- fehlix <fehlix@mxlinux.org>  Fri, 17 Oct 2025 12:12:03 -0400

## mx-updater 25.10.02mx25

=== l10n/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 LCMSGS := LC_MESSAGES/$(PKGNAM).mo
 
-DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
-DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(basename $(DESKTOP_IN))))
+DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop)
+DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(DESKTOP_IN)))
 
 ifneq ($(strip $(LINGUAS)),)
   LINGUAS := $(sort $(LINGUAS))
@@ -35,7 +35,7 @@
 
 desktop: $(DESKTOP)
 
-$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop.in
+$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop
 	@mkdir -p $(BUILD)/xdg
 	@echo "  " $@ 
 	msgfmt --desktop --template $< -d $(PO_DIR) -o $@

=== version/Makefile ===
#!/usr/bin/make -f

# Version Makefile

# version from changelog
VERSION := $(shell cd .. && dpkg-parsechangelog -SVersion)
PKGNAME := $(shell cd .. && dpkg-parsechangelog -SSource)

# error handling in case parsechangelog failes
ifeq ($(VERSION),)
    $(error Unable to extract version from changelog)
endif

ifeq ($(PKGNAME),)
    $(error Unable to extract package name from changelog)
endif

# default source and build paths
SOURCE = version.py
BUILD  = build/version.py

# Create build directory
$(shell mkdir -p build)

# default target
all: $(BUILD)

# generate version.py in build directory
$(BUILD): $(SOURCE)
	@sed 's/@PKGNAME@/$(PKGNAME)/g' $(SOURCE) > $(BUILD)
	@sed -i 's/@VERSION@/$(VERSION)/g' $(BUILD)
	@echo "Generated build version for package $(PKGNAME): $(VERSION)"

# Clean target
clean:
	@echo "Cleaned build version"
	@rm -rf build

.PHONY: all clean

=== debian/changelog ===
mx-updater (25.10.02mx25) mx; urgency=medium

  * Add restart option "--restart" as default to mx-updater.desktop
  * Adjust wait-online and origin-patterns-daily for apt-daily services
  * Refresh latest translations from transifex

 -- fehlix <fehlix@mxlinux.org>  Mon, 20 Oct 2025 07:18:32 -0400

=== debian/control ===
Source: mx-updater
Section: admin
Priority: optional
Maintainer: fehlix <fehlix@mxlinux.org>
XSBC-Original-Maintainer: Kent Mathern <maintainer@mepiscommunity.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13),
 librsvg2-bin (>=2.50),
Standards-Version: 4.7.2
Homepage: https://github.com/MX-Linux/mx-updater

Package: mx-updater
Architecture: all
Depends:
 ${misc:Depends},
 anacron,
 apt (>= 2.2.4),
 bash (>= 3.2-4),
 dbus-bin,
 python3-notify2,
 python3-pyqt6,
 python3-colorama,
 python3-psutil,
 python3-pydbus,
 unattended-upgrades,
 util-linux-locales,
 xdotool,
 xfce4-terminal | x-terminal-emulator
Recommends:
 policykit-1-gnome | lxpolkit | polkit-1-auth-agent,
 synaptic
Conflicts: apt-notifier, mepis-aptnotify
Replaces: apt-notifier, mepis-aptnotify 
Description: tray applet to notify of system and application updates
 .

## mx-updater 25.11.01mx25

=== debian/changelog ===
mx-updater (25.11.01mx25) mx; urgency=medium

  * Add a search field to the unattended-upgrade log viewers
  * Refresh latest translations from transifex

 -- fehlix <fehlix@mxlinux.org>  Sat, 01 Nov 2025 17:40:52 -0400

## mx-updater 25.11.02mx25

=== icons/Makefile ===

PNG_DIR := .
SVG_DIR := .
BUILD   := ./build

SVGS = $(wildcard $(SVG_DIR)/*.svg)
PNGS = $(wildcard $(PNG_DIR)/*.png)

HICOLOR := $(BUILD)/icons/hicolor
HICO32  := $(HICOLOR)/32x32/apps

APPS_DIR = $(HICOLOR)/$${SIZE}x$${SIZE}/apps

ICONS = $(notdir $(basename $(SVGS)))

SIZES := 8 16 22 24 32 48 64 96 128 256

all: clean dirs pngs svgs svg2png  links

dirs:
	@echo make icons ...
	@for SIZE in $(SIZES); do mkdir -p $(APPS_DIR); done  
	@mkdir -p $(HICOLOR)/scalable
	@mkdir -p $(HICOLOR)/scalable/apps

svgs:
	@for SVG in $(SVGS); do \
		echo "  " $(HICOLOR)/scalable/$$(basename $${SVG}); \
		cp $${SVG} $(HICOLOR)/scalable; \
		cp $${SVG} $(HICOLOR)/scalable/apps; \
		done  

pngs:
	@for PNG in $(PNGS); do \
		echo "  " $(HICO32)/$$(basename $${PNG}); \
		cp $${PNG} $(HICO32); done  

svg2png:
	@for SIZE in $(SIZES); do for ICON in $(ICONS); do \
		echo "  " $(APPS_DIR)/$${ICON}.png; \
		rsvg-convert -a -f png -h $${SIZE} -w $${SIZE} -o $(APPS_DIR)/$${ICON}.png $(SVG_DIR)/$${ICON}.svg 2>/dev/null; \
		done; done

links:
	@for SIZE in $(SIZES); do \
		ln -s mnotify-some-wireframe.png $(APPS_DIR)/apt-notifier.png; \
		ln -s mnotify-some-wireframe.png $(APPS_DIR)/mx-updater.png; \
		done
	@cd $(HICOLOR)/scalable && \
		ln -s mnotify-some-wireframe.svg apt-notifier.svg && \
		ln -s mnotify-some-wireframe.svg mx-updater.svg
	@cd $(BUILD)/icons && \
		ln -s hicolor/32x32/apps/*.png . && \
		ln -s hicolor/256x256/apps/mnotify-some-wireframe.png mnotify-some-wireframe-pkexec.png 

clean:
	-@rm -rf $(BUILD)

.PHONY: all dirs pngs svg2png svgs links clean

=== debian/changelog ===
mx-updater (25.11.02mx25) mx; urgency=medium

  * Set no-autoremove for "nala" and "apt" to avoid kernel removal
  * Translation refresh

 -- fehlix <fehlix@mxlinux.org>  Thu, 06 Nov 2025 17:21:52 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	#dh $@ --with python3 --buildsystem=pybuild
	dh $@ --with python3

override_dh_auto_build:
	$(MAKE) -C icons
	$(MAKE) -C l10n
	$(MAKE) -C version
	dh_auto_build

override_dh_clean:
	$(MAKE) -C icons clean
	$(MAKE) -C l10n clean
	$(MAKE) -C version clean
	dh_clean

## mx-updater 25.12.01mx25

=== debian/changelog ===
mx-updater (25.12.01mx25) mx; urgency=medium

  * Keep 'hide until updates available' enabled after autostart
  * Disable non-working notification callbacks in Enlightenment

 -- fehlix <fehlix@mxlinux.org>  Wed, 03 Dec 2025 17:56:55 -0500

## mx-updater 26.01.01mx25

=== debian/changelog ===
mx-updater (26.01.01mx25) mx; urgency=medium

  * Suppress unnecessary warnings when default values are used

 -- fehlix <fehlix@mxlinux.org>  Sun, 04 Jan 2026 16:23:57 -0500

## mx-updater 26.01.02mx25

=== debian/changelog ===
mx-updater (26.01.02mx25) mx; urgency=medium

  * Always recreate the system-wide autostart entry if it is missing.

 -- fehlix <fehlix@mxlinux.org>  Wed, 14 Jan 2026 19:10:17 -0500

## mx-updater 26.01.03mx25

=== debian/changelog ===
mx-updater (26.01.03mx25) mx; urgency=medium

  * Enable log rotation for mx-updater-monitor logs

 -- fehlix <fehlix@mxlinux.org>  Fri, 16 Jan 2026 15:24:01 -0500
